﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponServices.Dtos
{
    public class BasicDto : PageInputBase
    {
        /// <summary>
        /// 适用范围类型 1.店铺  2.供应商 3.区域
        /// </summary>
        public int? RangeType { get; set; }
    }
    public class CouponRecordPageDto : BasicDto
    {

        /// <summary>
        /// 是否启用 0 禁用 1.启用
        /// </summary>
        public int? Status { get; set; }
        /// <summary>
        /// 优惠卷Id
        /// </summary>
        public string CouponId { get; set; }
        /// <summary>
        /// 批次号
        /// </summary>
        public string? BatchNo { get; set; }

        public string CouponTitle { get; set; }

        public DateTime? CreateAt { get; set; }
    }
}
