﻿using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.GoodsCoupon.Dtos
{
    public class GoodsCouponBasetDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 商品id
        /// </summary>
        public string GoodsId { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 类型（平台）id
        /// </summary>
        public string CTypeId { get; set; }
        /// <summary>
        /// 原始金额
        /// </summary>
        public decimal? Money { get; set; }
        /// <summary>
        /// 平台金额
        /// </summary>
        public decimal SoureMoney { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CrateTimeAt { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        public bool? Enable { get; set; }
    }
}
