﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.PaperCouponsServices.Dtos
{
    public class PaperCouponBasetDto
    {
        public string Id { get; set; }
        public string GoodsId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 店铺
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string CTypeId { get; set; }
        public string CTypeName { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public decimal? Money { get; set; }
        /// <summary>
        /// 平台金额
        /// </summary>
        public decimal SoureMoney { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CrateTimeAt { get; set; }
        public bool? Enable { get; set; }
    }
}
