﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity.Coupon
{

    [SugarTable("bpa_goodscouponwriteofflog")]
    public  class BPA_GoodsCouponWriteoffLog : IBaseGroupIdEntity
    {
        /// <summary>
        /// 订单ID
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string OrderId { get; set; }

        /// <summary>
        /// 优惠券ID
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string GoodsCouponId { get; set; }
    }
}
