﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity.Coupon
{
    /// <summary>
    /// 纸质优惠卷
    /// </summary>
    [SugarTable("bpa_papercoupon")]
    public class BPA_PaperCoupon: IBaseEntity
    {
        /// <summary>
        /// 标题
        /// </summary>
        public  string Title { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string CTypeId { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public decimal Money { get; set; }
        /// <summary>
        /// 平台金额
        /// </summary>
        public decimal SoureMoney { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CrateTimeAt { get; set; }
        public string GroupId { get; set; }
        public bool Enable { get; set; }
    }
}
