﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.CouponHelperServices.Dtos
{
    public class CouponCanUseCountAndLimitOutDto
    {
        /// <summary>
        /// 优惠券id
        /// </summary>
        public string CouponId { get; set; }

        public string CouponName { get; set; }

        /// <summary>
        /// 能使数量
        /// </summary>
        public int CanUseCount { get; set; }

        /// <summary>
        /// 领取限制 0无限制
        /// </summary>
        public int Limit { get; set; }

        public List<BatchInfo> BatchInfo { get; set; }
    }

    public class BatchInfo
    {

        public string Id { get; set; }


        /// <summary>
        /// 批次号
        /// </summary>
        public string BatchNo { get; set; }


        /// <summary>
        /// 发送数量
        /// </summary>
        public int SendNum { get; set; }

        /// <summary>
        /// 领取数量
        /// </summary>
        public int GetNum { get; set; }
    }
}
