﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Coupon.GoodsCoupon.Dtos
{
    public class PageGoodsCouponInputDto:PageInputBase
    {
        /// <summary>
        /// 优惠卷名称
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 优惠卷类型
        /// </summary>
        public string CTypeId { get; set; }

        /// <summary>
        /// 优惠卷金额
        /// </summary>
        public decimal Money { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        public bool? Enable { get; set; }
    }
}
