﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu.Dtos;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu
{
    public interface IFoodMenuServices
    {

        /// <summary>
        /// 获取菜品列表
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/FoodMenu/GetGoodsByMenuIdPage")]
        Task<PageUtil> GetGoodsByMenuIdPage(FoodMenuQueryInputDto inputDto);
    }
}
