﻿using BPA.Kitchen.Core.Common;
using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Core.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Member.MemberInfo.Dtos
{
    public class UpdateMemberTagInputDto
    {
        
         [CustomValidation(typeof(DtoValidator), "Member")]
        public string MemberInfo_Id { get; set; }

        [CustomValidation(typeof(DtoValidator), "MemberPlatformType")]
        public PlatformType PlatformType { get; set; }

        [CustomValidation(typeof(DtoValidator), "MemberTagList")]
        public List<string> Tags { get; set; }

    }
}
